Subject: bug#10920: 24.0.93; Poor response to display size changes

From: Jan Djärv <[email-masked]>
Date: Sat, 3 Mar 2012 18:04:43 +0100

Hello.

3 mar 2012 kl. 16:48 skrev Dave Abrahams:

> 
> on Sat Mar 03 2012, Jan Djärv <jan.h.d-AT-swipnet.se> wrote:
> 
>> Hello.
>> 
>> 1 mar 2012 kl. 15:56 skrev Dave Abrahams <[email-masked]>:
>> 
>>> 
>>> It seems to me:
>>> 
>>> * When the display size changes, any visible frames that aren't completely
>>> visible should be moved/resised so they are
>> 
>> This is not as easy as it seems. If you have Emacs spanning several
>> monitors and one of them changes it is not obvious what to do. One
>> could special case it for the single monitor case I guess.
> 
> It may have not been easy 15-20 years ago, but today it is a solved
> problem.  Many other applications have worked out ways to deal with such
> changes.  Emacs could simply emulate one of those.

Can you give an example of an application that behaves sane when spread out over four monitors and one of them changes?

> 
>>> * The same goes for "fullscreen" (which IIUC is only supported via a
>>> patch that lives outside emacs, but I mention it here for
>>> completeness).
>>> 
>> 
>> The 10.7 style fullscreen does not have this problem, which is an
>> argument for just supporting that type of fullscreen in 24.2.
> 
> Not really, IMO.  On the mac there's a green button in the upper left of
> every application window that maximizes it.  You have to respond to that
> button somehow and maximizing the frame is the right (and consistent)
> response.

Maximizing and fullscreen is not the same thing.

	Jan D.